Docs › API reference › Address verification
Global address verify
Passes a single record to be verified.
POST
https://api.screenlyyid.com/api/v1/global-addressHeaders#
| Name | Type | Required | Description |
|---|---|---|---|
x-api-key | string | Yes | Your ScreenlyyID API key |
x-correlation-id | string (uuid) | No | Correlation ID for this customer check |
Request body#
The request body is not a JSON object with defined fields. See the code sample below.
Responses#
| Status | Description |
|---|---|
200 | Successful response |
Code samples#
curl --request POST \
--url 'https://api.screenlyyid.com/api/v1/global-address' \
--header 'x-api-key: YOUR_API_KEY' \
--header 'x-correlation-id: YOUR_CORRELATION_ID' \
--header 'Content-Type: application/json' \
--data '"<value>"'const body = "<value>";
const response = await fetch(
"https://api.screenlyyid.com/api/v1/global-address",
{
"method": "POST",
"headers": {
"x-api-key": "YOUR_API_KEY",
"x-correlation-id": "YOUR_CORRELATION_ID",
"Content-Type": "application/json"
},
"body": JSON.stringify(body)
}
);
const result = await response.json();import requests
payload = "<value>"
response = requests.post(
'https://api.screenlyyid.com/api/v1/global-address',
headers={
"x-api-key": "YOUR_API_KEY",
"x-correlation-id": "YOUR_CORRELATION_ID"
},
json=payload
)
result = response.json()using System.Text;
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
client.DefaultRequestHeaders.Add("x-correlation-id", "YOUR_CORRELATION_ID");
var json = @"""<value>""";
var content = new StringContent(json, Encoding.UTF8, "application/json");
var response = await client.PostAsync("https://api.screenlyyid.com/api/v1/global-address", content);
response.EnsureSuccessStatusCode();
var result = await response.Content.ReadAsStringAsync();